## visad.meteorology
Class ImageSequenceImpl

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.FunctionImpl
                  visad.FieldImpl
                      visad.meteorology.ImageSequenceImpl

All Implemented Interfaces:
  Cloneable, Data, Field, Function, ImageSequence, Serializable, Thing

public class ImageSequenceImpl
extends FieldImpl
implements ImageSequence

Implementation of an ImageSequence. The images in this Field are sorted by time.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
``

Field Summary

Fields inherited from class visad.FieldImpl
``

Fields inherited from class visad.DataImpl
``

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`ImageSequenceImpl(FunctionType type, SingleBandedImage[] images)` Create an image sequence with the specified FunctionType.
`ImageSequenceImpl(SingleBandedImage[] images)` Create an image sequence from an array of images

Method Summary
`SingleBandedImage` `getImage(DateTime dt)` Get the image at the specified time
`SingleBandedImage` `getImage(int index)` Return the image at the index'th position in the sequence.
`int` `getImageCount()` Return the number of images in the sequence.
`DateTime[]` `getImageTimes()` Return the list of times associated with this sequence.

Methods inherited from class visad.FieldImpl

`__getitem__, __len__, __setitem__, __setitem__, adjustSamplingError, binary, clone, combine, combine, combine, combine, combine, computeRanges, derivative, derivative, derivative, derivative, derivative, domainEnumeration, domainFactor, domainFactor, domainMultiply, domainMultiply, domainMultiply, domainMultiply, equals, extract, extract, extract, getDefaultRangeUnits, getDomainCoordinateSystem, getDomainSet, getDomainUnits, getFloats, getFloats, getLength, getRangeCoordinateSystem, getRangeCoordinateSystem, getRangeUnits, getSample, getSample, getStringValues, getValues, getValues, isFlatField, isMissing, longString, resample, setSample, setSample, setSample, setSample, setSample, setSamples, setSamples, setSamples, setSamples, unary`

Methods inherited from class visad.FunctionImpl
`__getitem__, __getitem__, evaluate, evaluate, evaluate, evaluate, getDomainDimension, resample`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, main, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, toString, unary`

Methods inherited from class visad.ThingImpl
`addReference, removeReference`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.Field
`domainEnumeration, domainFactor, domainMultiply, domainMultiply, extract, getDefaultRangeUnits, getDomainSet, getFloats, getFloats, getLength, getRangeCoordinateSystem, getRangeCoordinateSystem, getRangeUnits, getSample, getStringValues, getValues, getValues, isFlatField, setSample, setSample, setSample, setSample, setSamples, setSamples, setSamples`

Methods inherited from interface visad.Function
`derivative, derivative, derivative, derivative, derivative, evaluate, evaluate, evaluate, evaluate, getDomainCoordinateSystem, getDomainDimension, getDomainUnits, resample, resample`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Constructor Detail

### ImageSequenceImpl

    public ImageSequenceImpl(FunctionType type,
                             SingleBandedImage[] images)
                      throws VisADException,
                             RemoteException

  Create an image sequence with the specified FunctionType.

Parameters:
  `type` - new type for the sequence. The FunctionType of all the images must be the same as the range of type and the domain must be RealType.Time.
  `images` - array of images to be in the sequence
Throws:
  `VisADException` - not the correct MathType or images have different MathTypes.
  `RemoteException` - couldn't create the remote object

### ImageSequenceImpl

    public ImageSequenceImpl(SingleBandedImage[] images)
                      throws VisADException,
                             RemoteException

  Create an image sequence from an array of images

Parameters:
  `images` - array of images to be in the sequence. The FunctionType of all the images must be the same.
Throws:
  `VisADException` - images have different FunctionTypes.
  `RemoteException` - couldn't create the remote object

Method Detail

### getImageTimes

    public DateTime[] getImageTimes()
                             throws VisADException

  Return the list of times associated with this sequence.

  Specified by:
    `getImageTimes` in interface `ImageSequence`
  Returns:
    array of image start times.
  Throws:
    `VisADException`

### getImageCount

    public int getImageCount()
                      throws VisADException

  Return the number of images in the sequence.

  Specified by:
    `getImageCount` in interface `ImageSequence`
  Returns:
    number of images
  Throws:
    `VisADException`

### getImage

    public SingleBandedImage getImage(DateTime dt)
                               throws VisADException,
                                      RemoteException

  Get the image at the specified time

  Specified by:
    `getImage` in interface `ImageSequence`
  Parameters:
    `dt` - image time
  Returns:
    single banded image at that time.
  Throws:
    `VisADException` - no image in the sequence at the requested time
    `RemoteException` - can't get remote image

### getImage

    public SingleBandedImage getImage(int index)
                               throws VisADException,
                                      RemoteException

  Return the image at the index'th position in the sequence.

  Specified by:
    `getImage` in interface `ImageSequence`
  Parameters:
    `index` - in the sequence
  Returns:
    single banded image at that index
  Throws:
    `VisADException` - no image in the sequence at the requested index
    `RemoteException` - can't get remote image